openbve (1.4.0.10-2) unstable; urgency=medium

  * [fd51e3b] Set framework to 4.0 for everything

 -- Jo Shields <jo.shields@xamarin.com>  Tue, 10 Nov 2015 09:39:39 +0000

openbve (1.4.0.10-1) unstable; urgency=low

  * New upstream stable release (1.4.0.10)

 -- Paul Sladen <debian@paul.sladen.org>  Wed, 15 Feb 2012 14:33:00 +0000

openbve (1.4.0.9-1) unstable; urgency=low

  * New upstream stable release (1.4.0.9)

 -- Paul Sladen <debian@paul.sladen.org>  Wed, 08 Feb 2012 22:44:00 +0000

openbve (1.4.0.7-2) unstable; urgency=low

  * debian/openbve.desktop: Add generic name, and [de] name (Closes: #657599)
  * debian/openbve.desktop: Disable StartupNotify=false (Closes: #657599)
    (Thanks to Ronny Standtke)

 -- Paul Sladen <debian@paul.sladen.org>  Sat, 04 Feb 2012 17:17:17 +0000

openbve (1.4.0.7-1) unstable; urgency=low

  * New upstream stable release (1.4.0.7)
  * Delete extranous 'licence-background.txt' previously merged into
    debian/copyright in commit 9ae7ec26.
  * routes-and-trains.txt: refresh/cull list of third-party content websites

 -- Paul Sladen <debian@paul.sladen.org>  Sat, 04 Feb 2012 16:16:16 +0000

openbve (1.4.0.5-1) unstable; urgency=low

  * Openbve ITP (Closes: #522854)
  * New upstream stable release (1.4.0.5)

 -- Paul Sladen <debian@paul.sladen.org>  Sat, 21 Jan 2012 21:00:00 +0100

openbve (1.4.0.0-2) UNRELEASED; urgency=low

  [Paul Sladen]
  * Openbve ITP (Closes: #522854)
  * debian/filesystem.cfg: use 'SpecialFolder.LocalApplicationData'
    + emulate behaviour until upstream allows LocalApplicationData
  * debian/README.source: document 'mask.bin'
  * debian/rules+control: convert to minimal debhelper 7 + bumps build-dep
  * debian/rules: use --with=cli
    + restore '--exclude-moduleref=AtsPluginProxy.dll'
      (removed >= 1.2.10.0-0ubuntu2) to stop errors
  * Provide more context for licensing discussions with upstream
  * Drop lynx dependency now that 'dh_installchangelogs' is used
  * Merge 'known-issues.txt' into main 'README.Debian'

 -- Paul Sladen <debian@paul.sladen.org>  Fri, 13 Jan 2012 23:00:00 +0100

openbve (1.4.0.0-1) experimental; urgency=low

  * Initial Debian upload
  * New upstream stable release (1.4.0.0)
    + update upstream URL to 'trainsimframework.org/*'
    + credits file as part of docs too
    + update 'changelog.html' and 'credits.html'
    + install new modular plugins to '/usr/lib/openbve/Plugins'
    + bump openbve-data (>= 1.4.0.0) hard dependency
  * debian/changelog: DEP5 and bump copyright to latest upstream wording
  * debian/source/format: '3.0 (quilt)'
  * debian/source/options: single-debian-patch

 -- Iain Lane <laney@debian.org>  Wed, 11 Jan 2012 23:00:00 +0100

openbve (1.2.10.0-0ubuntu3) precise; urgency=low

  * debian/control: Add missing dependency (libmono-i18n4.0-all) and remove
    dependency on libmono-i18n4.0-cil as the latter is a dependency of the
    first. Thanks to Paul Childs for the fix and to Paul Sladen for finding a
    dependency simplification. (LP: #877776)
    Adding also ${misc:Depends} to the Depends field and bumping the
    Standards-Version to 3.9.2 (current version).
  * debian/rules: Add build-arch and build-indep recommended targets.

 -- Alessandro Menti <alessandro.menti@hotmail.it>  Sat, 29 Oct 2011 19:40:10 +0200

openbve (1.2.10.0-0ubuntu2) oneiric; urgency=low

  * debian/rules: Skip AtsPluginProxy.dll modulrefs, these are Win32 only.
  * openBVE/OpenBveApi/OpenBveApi.csproj,
    openBVE/OpenBve/OpenBve.csproj: set TargetFrameworkVersion to v4.0.
  * debian/control: Tweak dependencies and build-dependencies for 4.0.

 -- Jo Shields <directhex@apebox.org>  Sat, 02 Jul 2011 22:11:00 +0100

openbve (1.2.10.0-0ubuntu1) natty; urgency=low

  * New upstream stable version (1.2.10.0)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 28 Dec 2010 04:12:00 +0000

openbve (1.2.7.3-0ubuntu3) natty; urgency=low

  * debian/control: Fixed typo in first line of third paragraph of
    the package description-missing 's' in 'based' (LP: #628758)

 -- Arvind S Raj <sraj.arvind@gmail.com>  Fri, 24 Dec 2010 07:46:07 +0530

openbve (1.2.7.3-0ubuntu2) maverick; urgency=low

  * debian/control: fix minor spelling mistakes (LP: #628758)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat,  9 Oct 2010 02:29:00 +0100

openbve (1.2.7.3-0ubuntu1) maverick; urgency=low

  * New upstream stable version (1.2.7.3)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 11 Aug 2010 23:07:00 +0100

openbve (1.2.7.0-0ubuntu1) UNRELEASED; urgency=low

  * New upstream stable version (1.2.7.0)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun, 11 Jul 2010 11:49:00 +0100

openbve (1.2.6.106-0ubuntu1) UNRELEASED; urgency=low

  * New upstream development version (1.2.6.106)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue,  6 Jul 2010 02:45:00 +0100

openbve (1.2.6.105-0ubuntu1) UNRELEASED; urgency=low

  * New upstream development version (1.2.6.105)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun,  4 Jul 2010 15:05:00 +0100

openbve (1.2.6.3-0ubuntu1) maverick; urgency=low

  * New upstream stable version (1.2.6.3)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed,  5 May 2010 11:20:00 +0100

openbve (1.2.5.2-0ubuntu1) lucid; urgency=low

  * New upstream stable version (1.2.5.2)
  * Tweak build-deps to use newer tao*-cil-dev packages

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 16 Feb 2010 14:03:00 +0000

openbve (1.2.5.1-0ubuntu1) lucid; urgency=low

  * New upstream stable version (1.2.5.1)
    fixes (LP: #505299)
  * changelog.html: update (1.2.5.1)
  * rules: explicitly pass 'OpenBve.csproj' to xbuild
  * rules: use xbuild /t:Clean target now that it works

 -- Paul Sladen <ubuntu@paul.sladen.org>  Mon, 15 Feb 2010 18:28:00 +0000

openbve (1.2.4.5-0ubuntu1) unreleased; urgency=low

  * New upstream development version (1.2.4.5)
	
 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat,  9 Jan 2010 02:03:00 +0000

openbve (1.2.4.4-0ubuntu1) lucid; urgency=low

  * New upstream development version (1.2.4.4)
  + fixes autoscaling (LP: #503913)
	
 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu,  7 Jan 2010 15:18:00 +0000

openbve (1.2.4.1-0ubuntu1) lucid; urgency=low

  * New upstream development version (1.2.4.1) (LP: #444934)
    fixes (LP: #419523) (LP: #419525) (LP: #419530) (LP: #444462)
  * changelog.html: update (1.2.3.3)
	
 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed,  6 Jan 2010 07:58:00 +0000

openbve (1.2.2.0-0ubuntu1) unreleased; urgency=low

  * New upstream stable version (1.2.2.0) (LP: #444934)
  * changelog.html: update (1.2.2.0)
  * releasenotes.html: update (1.2.1.3)
  * Add NEWS.Debian to docs

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue,  1 Sep 2009 00:11:00 +0100

openbve (1.2.0.3-0ubuntu1) karmic; urgency=low

  * New upstream stable version (1.2.0.3)
  * debian/copyright: update to reflect minor wording changes
  * debian/rules: "./rules fetch-html" for {changelog,releasenotes}.html
  * changelog.html: update (1.2.0.3)
  * releasenotes.html: update (1.2.0.0)
  * debian/rules: DEBUG_CONFIGURATION=Release to switch codepaths used
  * debian/control: openbve-data (>= 1.2.0.3+dfsg)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu,  6 Aug 2009 02:05:00 +0100

openbve (1.1.1.0-0ubuntu1) unreleased; urgency=low

  * New upstream development version (1.1.1.0)
  * debian/control: rev 'openbve-data' dependency (new strings)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun, 05 Jul 2009 21:10:00 +0000

openbve (1.0.7.2-0ubuntu1) karmic; urgency=low

  * New upstream version (1.0.7.2)
  * Update changelog.html (1.0.7.2)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 23 Jun 2009 20:20:00 +0000

openbve (1.0.6.7-0ubuntu1) unreleased; urgency=low

  * Add WatchdogExit() to take care of deadlocks in library shutdown
  * New upstream version (1.0.6.7)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun,  7 Jun 2009 02:54:00 +0000

openbve (1.0.6.2-0ubuntu1) unreleased; urgency=low

  * New upstream version (1.0.6.2)
  * Update 'debian/known-issues.txt'
  * Update 'openbve-data' Depends: >= 1.0.6.0+dfsg
  * Drop try..catch around saving of logs (should be handled by
    separate patch applied by upstream.
  * Update changelog.html (1.0.6.2)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Fri, 29 May 2009 15:12:03 +0000
	
openbve (1.0.6.0-0ubuntu1) unreleased; urgency=low

  * New upstream version (1.0.6.0)
  * Make dropping out of full-screen *very* first priority
  * Update changelog.html (1.0.6.0) and releasenotes.html (1.0.5.0)
  * Update known-issues.txt

 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu, 28 May 2009 06:53:10 +0000
	
openbve (1.0.2.0-0ubuntu2) jaunty; urgency=low

  * Explicitly depend on 'libmono-i18n2.0-cil' (LP: #356487)
  * Backport homepage update to 'http://openbve.trainsimcentral.co.uk/'
  + and fix packaging to reflect
  * Expand debian/copyright based on feedback for acceptance into Debian

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 15 Apr 2009 02:56:20 +0000

openbve (1.0.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream version (bugfix release) (LP: #356344)
  * debian/rules: tweak to allow easy building of Debug or Release target
  * pass '/fhs' from the mono wrapper instead of hardcoding
  * overload GetSettingsFolder() to create the config directory before return it
  * Load first-use Keyboard mapping from GetDataFolder("Controls") not ~/
  * Default first-use game data from /usr/share/games/bve/{Railway/Route,Train}
  * Update 'openbve-data' Depends: >= 1.0.2.0+dfsg
  * Load timetables relative to route directory, not trainpath
  + disable spurious Train folder warning, as existance is not required later
  * Don't display hidden .files and .folders in ListViews
  * Include 'changelog.html' and 'releasenotes.html' downloaded from the website
  * Fix case in manpage documentation for '~/.config/OpenBve/'
  * Add README.Debian covering Debian-centric patches
  * Update 'known-issues.txt'
  * Print + try...except{} around path used in LoadOptions() (debugging)
  * Pacify lintian checker
  * Leave fullscreen before deinitialisation to reduce risk of leaving a mess

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun, 05 Apr 2009 12:33:10 +0000

openbve (0.9.5.5-0ubuntu3) unreleased; urgency=low

  * Tweak manpage

 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu, 23 Feb 2009 12:48:27 +0000

openbve (0.9.5.5-0ubuntu2) jaunty; urgency=low

  * Fix FTBFS: 'libtaoframework-openal1.1-cil' and 'libmono-winforms2.0-cil'
    plus move 'mono-xbuild' from -Indep (for clean target).
  * Use optimised compiler target (Release, instead of Debug)
  * Use '/usr/share/games/bve/' as default train/route location
  * Only whinge about plugins not being available if 'ats.cfg' exists
  * Don't display hidden .files and .folders in ListViews
  * Update manpage with initial tab options
  * Disable spurious Train folder warning message,
    as existance is not required later
  * Handle ll-CC default langauge selection and fall back to just ll.
  * Use Sdl_WM_SetIcon() on all platforms
  * Bump openbve-data (>= 0.9.5.5+dfsg-0ubuntu3) dependency
  * Load timetables relative to route directory, not trainpath

 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu, 19 Feb 2009 18:49:21 +0000

openbve (0.9.5.5-0ubuntu1) jaunty; urgency=low

  * New upstream release 0.9.5.5, dated 20090217-2228
  * Initial release (LP: #331188)
	
 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 18 Feb 2009 23:23:30 +0200

openbve (0.9.5.0-0ubuntu1) unreleased; urgency=low

  * import 0.9.5.0, dated 20090201-1953

 -- Paul Sladen <ubuntu@paul.sladen.org>  Fri, 15 Feb 2009 11:51:30 +0100
